## groovy.lang
Class PropertyValue

Field Summary
`Object` | `bean`
`MetaProperty` | `mp`

Constructor Summary
`PropertyValue(Object bean, MetaProperty mp)`

Method Summary
`String` | `getName()`
`Class` | `getType()`
`Object` | `getValue()`
`void` | `setValue(Object value)`

Constructor Detail

### PropertyValue

    public PropertyValue(Object bean, MetaProperty mp)

Method Detail

### getName

    public String getName()

### getType

    public Class getType()

### getValue

    public Object getValue()

### setValue

    public void setValue(Object value)